---
###############################################
#
#  Configuration file for CSST simulation
#  For single exposure type:
#                SCI-WIDE
#  CSST-Sim Group, 2024/01/08
#
###############################################

# Observation type
obs_type: "DARK"

# Define list of chips
run_chips: [8]

# Define observation sequence
call_sequence:
  # Accumulate fluxes from objects
  led_calib_model:
    #"LED": ['LED1','LED2','LED3','LED4','LED5','LED6','LED7','LED8','LED9','LED10','LED11','LED12','LED13','LED14'] or null
    #'LED1': '275', 'LED2': '310', 'LED3': '430', 'LED4': '505', 'LED5': '545', 'LED6': '590', 'LED7': '670',
    #'LED8': '760', 'LED9': '940', 'LED10': '940', 'LED11': '1050', 'LED12': '1050','LED13': '340', 'LED14': '365'
    LED_TYPE: ['LED5']
    LED_TIME: [1.]
  
  sky_flatField:
    exptime: 150. # [s]
    shutter_effect: YES
    flat_fielding: YES
    flat_level: 20000
    flat_level_filt: g
  # Apply PRNU to accumulated photons
  PRNU_effect: {}
  # Accumulate photons caused by cosmic rays
  cosmic_rays: {}
  # Add Poission noise and dark current
  poisson_and_dark:
    add_dark: YES
  # Simulate brighter fatter effects
  bright_fatter: {}
  # Add detector defects: hot/warm pixels, bad columns
  detector_defects:
    hot_pixels: YES
    dead_pixels: YES
    bad_columns: YES
  # Apply response nonlinearity
  nonlinearity: {}
  # Apply CCD Saturation & Blooming
  blooming: {}
  # # Run CTE simulation
  CTE_effect: {}
  # Add prescan and overscan
  prescan_overscan: {}
  # Add bias
  bias:
    bias_16channel: YES
  # Add readout noise
  readout_noise: {}
  # Apply gain
  gain:
    gain_16channel: YES
  # Output the final image
  quantization_and_output:
    format_output: NO
...